import * as $dara from '@darabonba/typescript';
import { AddSasModuleTrialResponseBody } from "./AddSasModuleTrialResponseBody";
export declare class AddSasModuleTrialResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AddSasModuleTrialResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
